using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.IO;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Dvb.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x53,"BAT","SDT","EIT","Astra SGT")]
    [BannedTable("TSDT")]
    class CaIdentifierDescriptor : TsDescriptor
    {
        public CaIdentifierDescriptor(byte[] buffer)
        {
            MemoryStream ms = new MemoryStream(buffer, false);
            CaSystemIds = new ushort[buffer.Length / 2];
            for (int i = 0; i < CaSystemIds.Length; i++)
            {
                CaSystemIds[i] = ms.ReadUInt16BE();
            }
        }

        public ushort[] CaSystemIds;
    }
}
